## malcontent 0.13.1

=== debian/changelog ===
malcontent (0.13.1-5) unstable; urgency=medium

  * Try to fix x32 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Feb 2026 10:06:19 -0500

malcontent (0.13.1-4) unstable; urgency=medium

  * Re-enable UI build for loong64
  * Don't try to build on non-Linux
  * Update list of architectures where libadwaita is available

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Feb 2026 09:01:49 -0500

malcontent (0.13.1-3) unstable; urgency=medium

  * Temporarily disable UI build for loong64 for bootstrapping
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Feb 2026 11:24:55 -0500

malcontent (0.13.1-2) unstable; urgency=high

  * Team upload

  [ Alessandro Astone ]
  * Fix filtering snaps after snapd 2.72 (Closes: #1120080, LP: #2128350)
  * Fix listing flatpaks in parental control UI (Closes: #1113776)
  * Fix memory leak when checking snaps

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 18:02:37 -0500

malcontent (0.13.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Cherry-pick an accessibility fix (LP: #2116954)
  * Update gir handling
  * debian/watch: Convert to Version: 5
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Sep 2025 23:14:27 -0400

malcontent (0.13.0-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 17:17:04 +0200

=== debian/control ===
Source: malcontent
Priority: optional
Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               appstream,
               desktop-file-utils,
               gir1.2-accountsservice-1.0-dev,
               gir1.2-adw-1-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-4.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
               itstool,
               libaccountsservice-dev,
               libadwaita-1-dev (>= 1.6) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
               libappstream-dev,
               libdbus-1-dev,
               libflatpak-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
               libglib-testing-0-dev,
               libglib2.0-dev (>= 2.60),
               libgtk-4-dev (>= 4.14.0) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
               libpam0g-dev,
               libpolkit-gobject-1-dev,
               libxml2-utils,
               meson (>= 1.2.0),
               polkitd
Standards-Version: 4.7.3
Section: admin
Homepage: https://gitlab.freedesktop.org/pwithnall/malcontent/
Vcs-Browser: https://salsa.debian.org/freedesktop-team/malcontent
Vcs-Git: https://salsa.debian.org/freedesktop-team/malcontent.git

Package: malcontent
Architecture: all
Depends: accountsservice,
         gir1.2-glib-2.0,
         gir1.2-malcontent-0 (>= ${binary:Version}),
         polkitd,
         python3,
         python3-gi,
         ${misc:Depends}
Description: framework for parental control of applications
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.

Package: malcontent-gui
Build-Profiles: <!pkg.malcontent.nogui>
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
Depends: malcontent (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GUI to configure malcontent
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the GUI to configure malcontent.

Package: libmalcontent-0-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for parental control of applications
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the libmalcontent library.

Package: libmalcontent-0-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libglib2.0-dev (>= 2.60),
         libmalcontent-0-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: development files for libmalcontent
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the development files for libmalcontent.

Package: gir1.2-malcontent-0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection bindings for libmalcontent
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the GObject introspection bindings for libmalcontent.

Package: libmalcontent-ui-1-1
Build-Profiles: <!pkg.malcontent.nogui>
Section: libs
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for parental control of applications - GTK widgets and dialogs
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the libmalcontent-ui library to display GTK widgets and
 dialogs.

Package: libmalcontent-ui-dev
Build-Profiles: <!pkg.malcontent.nogui>
Section: libdevel
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
Multi-Arch: same
Depends: libaccountsservice-dev,
         libadwaita-1-dev,
         libappstream-dev,
         libflatpak-dev,
         libglib2.0-dev (>= 2.60),
         libgtk-4-dev (>= 4.12.0),
         libmalcontent-0-dev (= ${binary:Version}),
         libmalcontent-ui-1-1 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: development files for libmalcontent-ui
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the development files for libmalcontent-ui.

Package: gir1.2-malcontentui-1
Build-Profiles: <!pkg.malcontent.nogui>
Section: introspection
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection bindings for libmalcontent-ui
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the GObject introspection bindings for libmalcontent-ui.

Package: libpam-malcontent
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PAM module to control the time a user is spending on the computer
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dpamlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)/security \
		-Dprivileged_group=sudo \
		-Dui=$(if $(filter libmalcontent-ui-%,$(shell dh_listpackages)),enabled,disabled)

## malcontent 0.14~alpha

=== meson_options.txt ===
option(
  'installed_tests',
  type: 'boolean',
  value: false,
  description: 'enable installed tests'
)
option(
  'pamlibdir',
  type: 'string',
  description: 'directory for PAM modules'
)
option(
  'ui',
  type: 'feature',
  value: 'enabled',
  description: 'enable UI library'
)
option(
  'use_system_libmalcontent',
  type: 'boolean',
  value: false,
  description: 'use installed libmalcontent rather than building it; used in distros to break a dependency cycle'
)
option(
  'privileged_group',
  type: 'string',
  value: 'wheel',
  description: 'name of group that has elevated permissions'
)
option(
  'timer_daemon_user',
  type: 'string',
  value: 'malcontent-timerd',
  description: 'username to run the timer daemon as',
)
option(
  'timer_extension_agent_user',
  type: 'string',
  # NOTE: Ideally this would be `malcontent-timer-extension-agent` to match
  # the binary, but various systems cap username length at 31 characters
  value: 'malcontent-timer-ext-agent',
  description: 'username to run the timer extension agent as',
)
option(
  'web_daemon_user',
  type: 'string',
  value: 'malcontent-webd',
  description: 'username to run the web filtering daemon as',
)

=== debian/changelog ===
malcontent (0.14~alpha-0ubuntu5) resolute; urgency=medium

  * debian/control: Add accountsservice dev dependency to libmalcontent-0-dev
  * debian/control: Update dev dependencies of libmalcontent-ui-dev

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Feb 2026 08:43:06 +0100

malcontent (0.14~alpha-0ubuntu4) resolute; urgency=medium

  * debian/rules: Use dh_listpackages to check if docs are built
  * d/p: Accept ld-linux libraries as nss module dependencies
  * d/p: Skip failing test in armhf

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 08:23:56 +0100

malcontent (0.14~alpha-0ubuntu3) resolute; urgency=medium

  * d/control: Always build doc packages.
    This is not optimal but it's unclear what launchpad uses to skip the
    docs dependencies (for sure nodoc profile is not set), so let's get all
    in for now

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 07:19:35 +0100

malcontent (0.14~alpha-0ubuntu2) resolute; urgency=medium

  * d/p: Add option to disable building docs
  * debian/rules: Do not build docs with nodoc profile
  * d/p: Disable gtk-doc in libgsystemservice subproject
  * debian/control: Remove gtk-doc-tools dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 06:51:39 +0100

malcontent (0.14~alpha-0ubuntu1) resolute; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/gbp.conf: Adjust upstream-vcs-tag
  * d/watch: Use upstream download path for releases
    The released tag won't include the upstream subprojects otherwise
  * d/p: Remove patch applied upstream
  * d/control: Add docs build dependencies
  * debian: Vendor libgsystemservice
  * d/p: Disable systemd-analyze tests
  * d/control: Add missing build dependencies
  * debian: Use debian's libcdb-dev instead of shipping one
  * debian/control: Install services into the malcontent package
  * debian/control: Install docs and nss module in new packages
  * debian/patches: Do not install tests files if they are not enabled
  * debian/libmalcontent-0-0.symbols: Add new symbols
  * debian/control: Adjust breaks/replaces to the ubuntu version

  [ Dan Nicholson ]
  * d/control, d/libmalcontent-common.install, d/malcontent.install: Move the
    D-Bus, account-service and polkit data to a new libmalcontent-common
    package. The D-Bus interface is managed entirely from the libmalcontent-0
    library and the accounts-service extension is broken without the interface
    definitions. Most clients (including malcontent-control from
    malcontent-gui) use the libmalcontent-0 API rather than the
    malcontent-client CLI and therefore don't depend on the malcontent
    package. A versioned dependency on libmalcontent-0 has been added to its
    reverse dependencies to ensure the common package is installed.
    (Closes: #991440).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 05:59:59 +0100

malcontent (0.13.1-2ubuntu2) resolute; urgency=medium

  * debian/control:
    - Build-Depends on dh-sequence-translations for translations integration
      (lp: #2096764)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Nov 2025 11:39:23 +0100

malcontent (0.13.1-2ubuntu1) resolute; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add patch to hide the Software Installation restrictions
    - Add patch and adjust install files to not show help for
      that hidden feature
  * Correct LP bug reference in the previous debian changelog entry

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 05 Nov 2025 09:52:12 +0100

malcontent (0.13.1-1ubuntu2) resolute; urgency=medium

  * d/p: Fix memory leak when filtering snaps

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 22 Oct 2025 15:12:38 +0200

malcontent (0.13.1-1ubuntu1) resolute; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add patch to hide the Software Installation restrictions
    - Add patch and adjust install files to not show help for
      that hidden feature
  * d/p: Fix filtering snaps after snapd 2.72 (LP: #2128350)
  * d/p: Refresh Ubuntu patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 17 Oct 2025 19:25:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: malcontent
 Priority: optional
-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               dh-sequence-dlopenlibdeps <!stage1>,
+               dh-sequence-installnss,
+               dh-sequence-translations,
                appstream,
                desktop-file-utils,
                gir1.2-accountsservice-1.0-dev,
@@ -16,15 +20,22 @@
                libadwaita-1-dev (>= 1.6) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
                libappstream-dev,
                libdbus-1-dev,
+               libcdb-dev,
                libflatpak-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
                libglib-testing-0-dev,
                libglib2.0-dev (>= 2.60),
+               libgnome-desktop-4-dev,
                libgtk-4-dev (>= 4.14.0) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
                libpam0g-dev,
                libpolkit-gobject-1-dev,
+               libsoup-3.0-dev,
                libxml2-utils,
                meson (>= 1.2.0),
-               polkitd
+               polkitd,
+               python3-dbus <!nocheck>,
+               python3-dbusmock <!nocheck>,
+               systemd-dev,
+Build-Depends-Indep: gi-docgen <!nodoc>,
 Standards-Version: 4.7.3
 Section: admin
 Homepage: https://gitlab.freedesktop.org/pwithnall/malcontent/
@@ -32,14 +43,16 @@
 Vcs-Git: https://salsa.debian.org/freedesktop-team/malcontent.git
 
 Package: malcontent
-Architecture: all
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
 Depends: accountsservice,
          gir1.2-glib-2.0,
          gir1.2-malcontent-0 (>= ${binary:Version}),
+         libmalcontent-common (>= ${source:Version}),
          polkitd,
          python3,
          python3-gi,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: framework for parental control of applications
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -57,7 +70,9 @@
 Package: malcontent-gui
 Build-Profiles: <!pkg.malcontent.nogui>
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
-Depends: malcontent (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libmalcontent-0-0 (>= 0.14~alpha-0ubuntu1~),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: GUI to configure malcontent
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -73,12 +88,37 @@
  accidentally having access to content which they shouldn’t.
  .
  This package contains the GUI to configure malcontent.
+
+Package: libmalcontent-common
+Section: libs
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Breaks: malcontent (<< 0.14~alpha-0ubuntu1~)
+Replaces: malcontent (<< 0.14~alpha-0ubuntu1~)
+Description: library for parental control of applications
+ malcontent implements support for restricting the type of content accessible
+ to non-administrator accounts on a Linux system. Typically, when this is used,
+ a non-administrator account will be for a child using the system; and the
+ administrator accounts will be for the parents; and the content being filtered
+ will be apps which are not suitable for the child to use, due to (for example)
+ being too violent.
+ .
+ This is not a security boundary, and a sufficiently technically advanced user
+ may always work around these parental controls. malcontent is not a mandatory
+ access control (MAC) system like AppArmor or SELinux. However, its correct use
+ by applications should provide enough of an obstacle to prevent users easily or
+ accidentally having access to content which they shouldn’t.
+ .
+ This package contains common files for the libmalcontent library.
 
 Package: libmalcontent-0-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libmalcontent-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: library for parental control of applications
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -100,6 +140,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: libglib2.0-dev (>= 2.60),
+         libaccountsservice-dev (>= 0.6.55),
          libmalcontent-0-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
@@ -120,11 +161,36 @@
  .
  This package contains the development files for libmalcontent.
 
+Package: libmalcontent-0-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
+Description: Documentation for libmalcontent
+ malcontent implements support for restricting the type of content accessible
+ to non-administrator accounts on a Linux system. Typically, when this is used,
+ a non-administrator account will be for a child using the system; and the
+ administrator accounts will be for the parents; and the content being filtered
+ will be apps which are not suitable for the child to use, due to (for example)
+ being too violent.
+ .
+ This is not a security boundary, and a sufficiently technically advanced user
+ may always work around these parental controls. malcontent is not a mandatory
+ access control (MAC) system like AppArmor or SELinux. However, its correct use
+ by applications should provide enough of an obstacle to prevent users easily or
+ accidentally having access to content which they shouldn’t.
+ .
+ This package contains the API reference.
+
 Package: gir1.2-malcontent-0
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}
+Depends: libmalcontent-0-0 (>= 0.14~alpha-0ubuntu1~),
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: GObject introspection bindings for libmalcontent
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -146,7 +212,9 @@
 Section: libs
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libmalcontent-0-0 (>= 0.14~alpha-0ubuntu1~),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: library for parental control of applications - GTK widgets and dialogs
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -169,68 +237,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
 Multi-Arch: same
-Depends: libaccountsservice-dev,
-         libadwaita-1-dev,
-         libappstream-dev,
+Depends: libaccountsservice-dev (>= 0.6.55),
+         libadwaita-1-dev (>= 1.6),
+         libappstream-dev (>= 0.12.10),
          libflatpak-dev,
-         libglib2.0-dev (>= 2.60),
+         libglib2.0-dev (>= 2.71),
          libgtk-4-dev (>= 4.12.0),
          libmalcontent-0-dev (= ${binary:Version}),
          libmalcontent-ui-1-1 (= ${binary:Version}),
-         ${gir:Depends},
-         ${misc:Depends}
-Provides: ${gir:Provides}
-Description: development files for libmalcontent-ui
- malcontent implements support for restricting the type of content accessible
- to non-administrator accounts on a Linux system. Typically, when this is used,
- a non-administrator account will be for a child using the system; and the
- administrator accounts will be for the parents; and the content being filtered
- will be apps which are not suitable for the child to use, due to (for example)
- being too violent.
- .
- This is not a security boundary, and a sufficiently technically advanced user
- may always work around these parental controls. malcontent is not a mandatory
- access control (MAC) system like AppArmor or SELinux. However, its correct use
- by applications should provide enough of an obstacle to prevent users easily or
- accidentally having access to content which they shouldn’t.
- .
- This package contains the development files for libmalcontent-ui.
-
-Package: gir1.2-malcontentui-1
-Build-Profiles: <!pkg.malcontent.nogui>
-Section: introspection
-Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
-Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}
-Description: GObject introspection bindings for libmalcontent-ui
- malcontent implements support for restricting the type of content accessible
- to non-administrator accounts on a Linux system. Typically, when this is used,
- a non-administrator account will be for a child using the system; and the
- administrator accounts will be for the parents; and the content being filtered
- will be apps which are not suitable for the child to use, due to (for example)
- being too violent.
- .
- This is not a security boundary, and a sufficiently technically advanced user
- may always work around these parental controls. malcontent is not a mandatory
- access control (MAC) system like AppArmor or SELinux. However, its correct use
- by applications should provide enough of an obstacle to prevent users easily or
- accidentally having access to content which they shouldn’t.
- .
- This package contains the GObject introspection bindings for libmalcontent-ui.
-
-Package: libpam-malcontent
-Architecture: linux-any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: PAM module to control the time a user is spending on the computer
- malcontent implements support for restricting the type of content accessible
- to non-administrator accounts on a Linux system. Typically, when this is used,
- a non-administrator account will be for a child using the system; and the
- administrator accounts will be for the parents; and the content being filtered
- will be apps which are not suitable for the child to use, due to (for example)
- being too violent.
- .
- This is not a security boundary, and a sufficiently technically advanced user
- may always work around these parental controls. malcontent is not a mandatory
- access control (MAC) system like AppArmor or SELinux. However, its correct use
- by applications should provide enough of an obstacle to prevent users easily or

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,15 @@
 %:
 	dh $@
 
+BUILD_DOCS=$(if $(filter %-doc,$(shell dh_listpackages)),true,false)
+ifneq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
+	BUILD_DOCS=false
+endif
+
 override_dh_auto_configure:
+	ln -sfv $$PWD/debian/vendored-subprojects/libgsystemservice subprojects/
 	dh_auto_configure -- \
 		-Dpamlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)/security \
 		-Dprivileged_group=sudo \
-		-Dui=$(if $(filter libmalcontent-ui-%,$(shell dh_listpackages)),enabled,disabled)
+		-Dui=$(if $(filter libmalcontent-ui-%,$(shell dh_listpackages)),enabled,disabled) \
+		-Ddocs=$(BUILD_DOCS)

=== debian/watch ===
Version: 5

Source: https://tecnocode.co.uk/downloads/malcontent/
Matching-Pattern: @PACKAGE@-([\d.]+\.?(?:alpha|beta|rc)?[\d.]*)@ARCHIVE_EXT@
Search-Mode: plain
Uversion-Mangle: s/\.(alpha|beta|rc)/~$1/
